
Foreman - Bug #27831

Disabled buttons are still working

09/11/2019 11:26 AM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version: 1.24.0   

Difficulty: trivial Fixed in Releases: 1.22.2, 1.23.1, 1.24.0

Triaged: No Found in Releases: 1.20.0

Bugzilla link: 1745555 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7033

  

Description

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1745555

Description of problem:

Even if button is showed as disabled it is clickable and working normally as enabled. Applies to almost every disabled button in UI.

Version-Release number of selected component (if applicable):

How reproducible:

always

Steps to Reproduce:

For example

1. Go to Monitor -> Jobs

2. Select job, that already run.

3. Buttons 'Cancel Job' and 'Abort Job' are disabled

4. Click on any disabled button

Actual results:

Button works even if, it is disabled. Page is refreshed and warning 'The job cannot be cancelled at the moment.' is shown

Expected results:

Clicking on disabled button does nothing

Additional info:

Found similar behavior in hosts.

In Satellite 6.5 clicking on disabled button does nothing.

Related issues:

Related to Foreman - Refactor #26198: ensure host list does not trigger a ful... Closed

Related to Foreman - Bug #27881: Disabled buttons fetched by ajax are still w... Closed

Related to Foreman Remote Execution - Bug #27883: Do not use a[method=post] i... Closed

Has duplicate Foreman Remote Execution - Bug #27813: Disabled buttons are sti... Duplicate

Associated revisions

Revision 3ded64ff - 09/12/2019 07:34 AM - Ron Lavi

Fixes #27831 - disabled buttons are still clickable

History

#1 - 09/11/2019 11:27 AM - The Foreman Bot

- Status changed from New to Ready For Testing
#2 - 09/11/2019 12:15 PM - Tomer Brisker

- Has duplicate Bug #27813: Disabled buttons are still working added

#3 - 09/11/2019 12:27 PM - Tomer Brisker

- Related to Refactor #26198: ensure host list does not trigger a full page reload added

#4 - 09/12/2019 07:34 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#5 - 09/12/2019 07:42 AM - Tomer Brisker

- Priority changed from Urgent to Normal

- Fixed in Releases 1.22.2, 1.23.1 added

- Found in Releases 1.20.0 added

#6 - 09/12/2019 08:03 AM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 3ded64ff3126ca1acc95423f4235b04eb2214faa.

#7 - 09/18/2019 01:46 PM - Ondřej Ezr

- Related to Bug #27881: Disabled buttons fetched by ajax are still working added

#8 - 09/19/2019 07:58 AM - Marek Hulán

- Related to Bug #27883: Do not use a[method=post] in jobs toolbar added
